<?php

include_once("connect.php");

	mysqli_query($conexao,"SET NAMES 'utf8'");
    mysqli_query($conexao,'SET character_set_connection=utf8');
    mysqli_query($conexao,'SET character_set_client=utf8');
    mysqli_query($conexao,'SET character_set_results=utf8');
    
    $id = $_GET['id'];
    $id = base64_decode($id);
    if (isset($_POST['id'])){
        $cd = $_POST['id'];
    } else if(isset($_GET['id'])){
        $cd = $id;
    }
    
   
    //    echo $id;
    //    exit;
    $consulta_email = "select *
							   from contabilidades
							   where id = '$cd'";
    	
            //	echo $consulta_email;
            //	exit;
    	
	$result_consulta_email = mysqli_query($conexao, $consulta_email) or die(mysqli_error($conexao));
    		
if(mysqli_num_rows($result_consulta_email)>0){
    if(!empty($_POST['senha']) && !empty($_POST['senha2'])){
        $senha = $_POST['senha'];
        $senha2  = $_POST['senha2'];
        if ($senha == $senha2) {
                
            $senha = md5($senha);
            $update_senha = "update contabilidades set 
    						 ds_senha = '$senha' 
    						 where id = '$cd'";
    		
            mysqli_query($conexao, $update_senha) or die ($conexao);
            $mensagem = "<span class='aviso'><b>Aviso</b>: Senha alterada com sucesso!</span>";
            $aux = 1;
            
        
        } else{
            $mensagem = "<span class='erro'><b>Erro</b>: As senhas não conferem!</span>";
        }
    }
    else if(isset($_POST['id'])){
        $mensagem = "<span class='aviso'><b>Aviso</b>: Preencha todos os campos!</span>";
    }
}

?>


<html>
<!DOCTYPE html>
<head><meta http-equiv="Content-Type" content="text/html; charset=euc-jp">

<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<title>Code Tecnologia</title>
<link rel="stylesheet" href="../css/style.default.css" type="text/css" />
<script type="text/javascript" src="../js/jquery-1.9.1.min.js"></script>
<script type="text/javascript" src="../js/jquery-migrate-1.1.1.min.js"></script>
</head>

<body class="loginbody">

<div class="loginwrapper">
	<div class="loginwrap zindex100 animate2 bounceInDown">
	<h1 class="logintitle"> <img src="../img1.png" alt="Code Tecnologia" width="500" ></h1>
	<h1 class="logintitle" style="text-align:center">Alteração de Senha</h1>
        <? if ($aux != 1){?>
        <div class="loginwrapperinner">
                <form id="loginform" action="<?php echo $_SERVER['PHP_SELF'];?>" method="post">
                    <font color="white"><?echo "<p id='mensagem'>".$mensagem."</p>";?></font>
                    <p class="animate4 bounceIn"><input type="password" name="senha" id="senha" placeholder="Informe a nova senha" /></p>
                    <p class="animate5 bounceIn"><input type="password" name="senha2" id="senha2" placeholder="Confirme a nova senha" /></p>
                    <input type="hidden" id="id" name="id" value="<?echo $cd;?>"/>
                    <p class="animate6 bounceIn"><input type="submit" id="btn-login" class="btn btn-default btn-block" style="background-color:#33558c;color:white;" value="Confirmar"/></p>
                    <!--<p class="animate7 fadeIn"><a href=""><span class="icon-question-sign icon-white"></span> Forgot Password?</a></p>-->
                </form>
        </div><!--loginwrapperinner-->
        <?} else{?>
                <div class="pargroup" style="text-align:center">
            <br><br><h4><?echo "<p id='mensagem'>".$mensagem."</p>";?></h4><br><br>
           <? }?>
    </div>
    <div class="loginshadow animate3 fadeInUp"></div>

</div><!--loginwrapper-->

<script type="text/javascript">
jQuery.noConflict();

jQuery(document).ready(function(){
	
	var anievent = (jQuery.browser.webkit)? 'webkitAnimationEnd' : 'animationend';
	jQuery('.loginwrap').bind(anievent,function(){
		jQuery(this).removeClass('animate2 bounceInDown');
	});
	
});
</script>
</body>
</html>


